package tech.powerjob.work.util;

import com.alibaba.fastjson.JSONObject;
import tech.powerjob.worker.core.processor.ProcessResult;

public class ReturnMsg extends ProcessResult {

    public static ProcessResult returnMsg(Boolean isSuccess, String msg) {
        return new ProcessResult(isSuccess, msg);
    }

    public static ProcessResult returnMsg(Boolean isSuccess) {
        return new ProcessResult(isSuccess);
    }

    public static String returnErrorMsgNew(String msg){
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("data",null);
        jsonObject.put("status","error");
        jsonObject.put("code", "500");
        jsonObject.put("msg",msg);
        return jsonObject.toString();
    }

}
